# Type alias Collections

Collections: {
[collectionName: string]: {
idFields: string[];
input: object;
names: {
[S in CollectionNameStyle]: string
};
resource: {
id: string;
};
} & ({
named: true;
resource: {
name: string;
};
} | {
named?: false;
}) & ({
mutable: true;
} | {
mutable?: false;
});
}

#### Type declaration

- ##### [collectionName: string]: {
  idFields: string[];
  input: object;
  names: {
  [S in CollectionNameStyle]: string
  };
  resource: {
  id: string;
  };
  } & ({
  named: true;
  resource: {
  name: string;
  };
  } | {
  named?: false;
  }) & ({
  mutable: true;
  } | {
  mutable?: false;
  })

- Defined in packages/db/src/meta/collections.ts:1

Generated using TypeDoc